Bug 172376 - Kernel (kernel-2.6.13-1.1532) hangs while booting right after PCI-Setup is shown (HP Proliant DL380 G4)
Kernel (kernel-2.6.13-1.1532) hangs while booting right after PCI-Setup is sh...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2005-11-03 09:57 EST by Thomas Kordelle
Modified: 2015-01-04 17:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg boot output from 2.6.14-1633 with APIC enabled (6.91 KB, text/plain)
2005-11-07 13:39 EST, Lars Damerow
no flags Details
dmesg boot output from 2.6.14-1633 with APIC disabled (5.88 KB, text/plain)
2005-11-07 13:41 EST, Lars Damerow
no flags Details

  None (edit)
Description Thomas Kordelle 2005-11-03 09:57:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
Kernel hangs while booting. It hangs right after show the PCI-Setup of the Server.
Both kernels SMP und UNI has the same behavior. It has been testet on a HP Proliant DL380 G4.

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1532 (smp and uni)

How reproducible:
Always

Steps to Reproduce:
1. Install related kernel rpm
2. reboot the machine
3. kernel hangs
  

Actual Results:  kernel hangs (the whole machine is dead only poweroff help's.

Expected Results:  kernel should boot normaly.

Additional info:
Comment 1 Lars Damerow 2005-11-03 13:20:58 EST
I'm seeing the same behavior with FC4, kernel 2.6.13-1.1532_FC4smp. I also see
it with kernel 2.6.14-1.1633_FC4smp.

My machines are also from HP, though they're xw8200 workstations with dual Xeon
EM64T chips.
Comment 2 Lars Damerow 2005-11-03 13:35:17 EST
Also, I just determined that booting with 'acpi=off' makes it work. I also tried
'acpi=noirq', 'pci=noacpi', and 'pnpacpi=off' and none of them helped.
Comment 3 Dave Jones 2005-11-04 19:58:17 EST
does the 2.6.14 update from updates-testing fix this ?
Comment 4 Lars Damerow 2005-11-07 13:19:21 EST
2.6.14-1633 doesn't fix it for me. I'll try to get any relevant output from the
serial console.
Comment 5 Lars Damerow 2005-11-07 13:39:32 EST
Created attachment 120785 [details]
dmesg boot output from 2.6.14-1633 with APIC enabled

The machine freezes immediately after printing this dmesg output.
Comment 6 Lars Damerow 2005-11-07 13:41:20 EST
Created attachment 120786 [details]
dmesg boot output from 2.6.14-1633 with APIC disabled

The system boots normally after printing this dmesg output (which I truncated).
I did notice that it complains about a weird NMI, but the system seems fine.
Comment 7 Dave Jones 2005-11-07 15:12:49 EST
That's "ACPI" disabled :-)  (Which confused me at first).
Comment 8 Lars Damerow 2005-11-07 16:01:38 EST
Oops--right you are. Sorry about that! :)
Comment 9 Lars Damerow 2005-11-10 12:55:17 EST
Just a quick update--the released 2.6.14-1.1637_FC4.src.rpm still exhibits the
same problem.

thanks,
lars
Comment 10 Dave Jones 2005-11-10 13:58:16 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 11 Lars Damerow 2005-11-10 14:09:05 EST
Looks like I beat you to it! ;)
Comment 12 Lars Damerow 2005-11-30 17:52:18 EST
2.6.14-1.1644_FC4 fixed this problem for me. Thanks!
-lars
Comment 13 Lars Damerow 2005-11-30 19:03:29 EST
Hmm. I was a bit premature posting that things are fixed; I'd left the acpi=off
option in the boot arguments while testing. Sadly two out of my three testing
HPs are still freezing in the same way as before. I'm inspecting the kernel's
boot output to see if I can find why one of them works and the others don't.

sorry,
lars
Comment 14 Lars Damerow 2006-01-17 19:36:26 EST
Hi folks,

I'm sad to report that this issue still happens on some of our HP workstations
with Fedora Core 5 test 2. I haven't been able to find any obvious differences
between workstations that freeze and ones that don't.

Can anybody give me a hint as to what the kernel is doing immediately after
printing the output at the end of the dmesg log I attached earlier
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=172376)?

We haven't been able to update the kernels on our FC4 machines since October
because of this problem.

Thanks,
lars
Comment 15 Linux ACPI Developers 2006-01-17 23:35:20 EST
Does "acpi=off" always make this hang go away?
If yes, please try just "pnpacpi=off"
Comment 16 Lars Damerow 2006-01-20 15:29:03 EST
Hi,

acpi=off does seem to make the hang disappear, but pnpacpi=off doesn't help; the
machine still freezes.

Thanks,
lars
Comment 17 Dave Jones 2006-02-03 01:23:36 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 18 Lars Damerow 2006-02-06 14:02:58 EST
The freeze still occurs with kernel 2.6.15-1.1830_FC4.

thanks,
lars
Comment 19 Dave Jones 2006-09-16 21:00:03 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 20 Dave Jones 2006-10-16 16:02:15 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 21 Jon Stanley 2008-01-19 23:36:36 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.